package com.hibernatemanytomanyrelationship;
import java.util.*;

import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.hibernate.Transaction;
import org.hibernate.cfg.Configuration;

public class App 
{
    public static void main( String[] args )
    {
        System.out.println( "Project Started....!" );
        Configuration cfg = new Configuration();
        cfg.configure("hibernate.cfg.xml");
        SessionFactory factory = cfg.buildSessionFactory();
        
        Students  s1 = new Students();
        Students  s2 = new Students();
        
        s1.setSid(5);
        s1.setRno("102");
        s1.setName("M_Asad Iqbal");
        
        s2.setSid(6);
        s2.setRno("106");
        s2.setName("Arsam Ali");
        
        Courses c1  = new Courses();
        Courses c2  = new Courses();
        
        c1.setCid(5);
        c1.setCoursename("Java");

        c2.setCid(6);
        c2.setCoursename("JavaScript");
        
        List<Students> list1 = new ArrayList<Students>();
        List<Courses> list2 = new ArrayList<Courses>();
        
        list1.add(s1);
        list1.add(s2);
        
        list2.add(c1);
        list2.add(c2);
        
        s1.setCourses(list2);
        
        c2.setStudents(list1);
        
        Session s = factory.openSession(); 
        Transaction txt = s.beginTransaction();
        
        s.save(s1);
        s.save(s2);
        s.save(c1);
        s.save(c2);
        
        txt.commit();
        
        s.close();

    }
}
